function [template] = PointModelTemplate(varargin)
template.imageName = '';
template.imageDir = '';
template.name ='';
template.direc = '';
template.image = [];
template.pts = [];
template.primaries = [];
template.closedloops = [];
template.loops = {};
template.subsets = {};
template.labels = [];
switch nargin
    case 0
    case 1
        template.image = varargin{1};
    case 2
        template.image = varargin{1};
        template.pts = varargin{2};
    case 3
        template.image = varargin{1};
        template.pts = varargin{2};
        template.primaries = varargin{3};
    otherwise
        error('Invalid number of input parameters');
end
template = class(template, 'PointModelTemplate');

